/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for ChangeSinceLastMammogramOrPriorSurgeryFromBI_RADS
 */
public enum EnumCV_ChangeSinceLastMammogramOrPriorSurgeryFromBI_RADS
{
	//CID 6003 Change Since Last Mammogram or Prior Surgery from BI-RADS
	NEW_FINDING_F_01721("F-01721"),
	FINDING_PARTIALLY_REMOVED_F_01722("F-01722"),
	NO_SIGNIFICANT_CHANGES_IN_THE_FINDING_F_01723("F-01723"),
	INCREASE_IN_SIZE_M_02520("M-02520"),
	DECREASE_IN_SIZE_M_02530("M-02530"),
	INCREASE_IN_NUMBER_OF_CALCIFICATIONS_F_01726("F-01726"),
	DECREASE_IN_NUMBER_OF_CALCIFICATIONS_F_01727("F-01727"),
	LESS_DEFINED_F_01728("F-01728"),
	MORE_DEFINED_F_01729("F-01729"),
	REMOVAL_OF_IMPLANT_SINCE_PREVIOUS_MAMMOGRAM_F_0172A("F-0172A"),
	IMPLANT_REVISED_SINCE_PREVIOUS_MAMMOGRAM_F_0172B("F-0172B");

	private String value;

	EnumCV_ChangeSinceLastMammogramOrPriorSurgeryFromBI_RADS(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
